サポート » インストール » 4.7 アップグレードに伴う既知の問題とその解決方法

  • モデレーター Takayuki Miyoshi

    (@takayukister)


    この情報は、英語フォーラムの「READ THIS FIRST WordPress 4.7 Master List」を訳したものです。更新されている場合もありますので、原文も参照してください。

    ————————————

    WordPress 4.7 “ヴォーン”がリリースされました。アップグレード後に問題に遭遇しましたか?

    慌てないで

    さしあたっては、プラグインとテーマを最新版に更新し、ブラウザーのキャッシュとクッキーを削除して、WordPress のダッシュボードに再ログインしてください。

    まだ問題がありますか?では続けてお読みください!

    このスレッドは4.7で見つかったプラグインやテーマにした既知の問題について説明します。すべてに目を通した上で、更新される予定ですのでまた後ほどチェックしてみてください。

    落ち着いて、我慢強く、礼儀正しい行動をしてください。フォーラムボランティアの方々が手を貸そうと努力してくれるはずですが、質問を投稿する皆さんにもご協力頂く必要があります。すべてのフォーラムルールが適用されます。

    フォーラム投稿がすぐに表示されない場合は、少々お待ちください。通常よりもたくさんの質問が投稿されているため、誤ってスパムとしてマークされてしまう可能性が高くなっています。複数の投稿を行うとさらに時間がかかってしまいますので、投稿は一度だけにしてください。匿名として表示されてしまった場合、後ほど修正しますのでしばらく待ってみてください。

    • 件名や本文に適切な文字(英語の場合は大文字や小文字)を使用してください。適切に人間的に(人が読めるように)強調された文章は、私達も読みやすいです。
    • 詳しい説明を含む件名をつけてください(「ひどいバージョンです、早く助けて下さい」よりも、「4.5へのアップグレード後、パーマリンクがすべて動作しなくなりました」 の方が効果的です)。
    • 問題を分かりやすく説明してください。今見えている画面を詳しく描写する、エラーメッセージをペーストする、スクリーンショットにリンクするなど必要に応じて最適な方法を考えてみてください。フロントエンドの問題の場合、サイトへのリンクを貼るのも参考になる場合があります。
    • サイトがダウンしてしまうのは嫌なものですが、同じ内容を何度もフォーラムに投稿するのは控えましょう。
    • 新規トピックを作成しましょう。他の人がすでに投稿したトピックと同じ問題が発生していると思われる場合、その人と同じバージョンの WordPress を使っていて、同じホスティングサービスの物理的に同じサーバーにファイルがあり、完全に同じプラグイン・テーマ・設定を使っているわけではない限り、そのスレッドへコメントせずに自分のトピックを立てたほうがよいでしょう。
    • 問題が解決したら、「解決済み」にマークしましょう。フォーラムボランティアが何度もトピックを確認する必要がなくなります。
    • お忘れなく、あなたは一人ではありません!

    また、WordPress のデザインの方向性が気に入らない場合は不満を訴えるトピックをフォーラムへたくさん投稿すべきではありません。すでに誰かが似たような話をしている場合はそこにコメントするか、開発プロセスにもっと早めに参加することをご検討ください(例えば、SVN 経由のベータテストなど)。ここにあるのは何千時間もの作業とテストの積み重ねです。何かが完全に壊れているのではない限り、変更される可能性は低いでしょう。

    投稿する前に以下をお読みください。

    この投稿スレッドすべて、およびドキュメンテーションの WordPress 4.7 新機能リスト に目を通してください。

    インストール済みのサイトの「WordPress について」のページ( example.com/wp-admin/about.php など)で、何が変更されたかをチェックしてください。

    また、以下をまずお試しください。

    • キャッシュ系プラグインを無効化し、サーバーキャッシュ、ブラウザキャッシュをすべて削除する。ブラウザーだけでなく、OP cache や Cloudflare のようなコンテンツデリバリーネットワークのキャッシュも削除する。そうすれば、奇妙な Javascript の問題は解決するでしょう。
    • ホスティングサービスのキャッシュも削除する。管理型の WordPress ホスティングサービスには特別な形態のキャッシュが使われている場合があります。ホスティングサービスが 「Varnish をパージする」「Memcache を削除する」等のオプションを用意しているか、頼めばやってくれるなら、それらを実施しましょう。
    • ブラウザ上でのトラブルシューティング。ブラウザで JavaScript の問題や衝突を発見できます。この記事(英語)が診断の手助けになるでしょう。ビジュアルエディターの問題の特定にも役立つはずです。
    • すべてのプラグインを無効化し、問題が解決するかどうかチェックする。もし解決した場合はプラグインを1つずつ有効化し、どれが問題なのかをつきとめる。管理画面に入れない場合は、SFTP/FTP または phpMyAdmin 経由でプラグインフォルダをリセットしてみる(詳しくは Codex 参照)。無効化されているように見えるプラグインが問題を引き起こしている場合もある。また、mu-plugins フォルダのプラグインもフォルダ名の変更など(mu-plugins-old)によって無効化すること。
    • テーマを Twenty Sixteen に変えてみて、テーマ関係の問題を排除してみる。管理画面に入れない場合は、SFTP/FTP で他のテーマファイルを移動・削除してみること。テーマフォルダに twentysixteen しかない状態にすれば、このテーマが自動的に使われる。
    • 手動アップグレードを試す。どうしてもうまくいかない場合は、バージョン4.7のZIPファイルを入手し、インストールし直す。wp-admin および wp-includes フォルダをサーバーから削除する必要がある場合もある(注意:wp-content フォルダや wp-config.php ファイルを昨除してはいけません)。手動アップグレードについて詳しくはドキュメンテーションを参照。
4件の返信を表示中 - 1 - 4件目 (全4件中)
  • モデレーター Takayuki Miyoshi

    (@takayukister)

    コアの変更

    モデレーター Takayuki Miyoshi

    (@takayukister)

    バグではありません

    動画ヘッダーを私のテーマに追加できません: WordPress 4.7 で動画ヘッダーの機能が導入されましたが、あなたがお使いのテーマで動画ヘッダーがサポートされていないと利用できません。詳しいことはそのテーマの開発者に聞いてください。

    リリース告知に書かれているカスタマイザーの機能が見当たらないのですが: 動画ヘッダーと同様に、お使いのテーマでそれらがサポートされている必要があります。詳細はテーマの開発者に聞いてください。

    PDF プレビューがないんですけど: PDF プレビューの機能が使えるようになりましたが、過去にアップロードされた既存の PDF にはサムネイルは付きません。それからサーバーによっては使えません(サムネイル画像の生成に Imagik、ImageMagick、Ghostscript を使っているので、それらがサーバーで利用可能になっている必要があります)。

    画像の代替テキスト (alt) が自動的に作られないようになりました: 代替テキストを WordPress が自動生成するのはアクセシビリティの観点から好ましくないことがわかったので、デフォルトでは自動生成はやめて空の値のままにすることにしました。支援技術での利用を意識して、投稿者が適切なテキストを指定してください。

    wp-admin の言語が変わってしまったのですが: 4.7 から、管理画面で使われる言語をユーザーごとに設定できるようになりました。もう新しい言語を設定済みか、あるいはデフォルトの言語が期待したのと違っていたんでしょう。

    機能ボタンが編集画面に見当たりません: HTML 要素の適切な使用を促すため、また、紛らわしい要素の誤用(たとえば下線とか)が多かったので、ツールバーが再構成されました(いくつかオプションが削除されていますがキーボードショートカットは以前と同様に使えます)が、おそらくツールバーを展開すれば見つかるでしょう。

    追加 CSS が機能しません: もし Jetpack を使っているなら最新バージョンに更新してください。Jetpack が以前同じような機能を提供していてそれがうまく適合できてないケースが見られます。

    ウィルススキャンツールが WP 4.7 はウィルスだと言ってるんですけど: そのツールのライブラリ定義が古いのでは。WordPress.org からダウンロードしたのなら心配いりません。他のどのセキュリティプラグインでも同様のことは起こります。最新版に更新して再チェックをかけてください。

    • この返信は2 年、 6 ヶ月前に  Takayuki Miyoshi さんが編集しました。理由: corrected HTML markup
    モデレーター Takayuki Miyoshi

    (@takayukister)

    既知の問題

    • 今のところ WordPress 4.7 に関する既知の問題はありません。
    モデレーター Takayuki Miyoshi

    (@takayukister)

    プラグインとテーマの問題

    • 今のところ WordPress 4.7 に関するプラグインやテーマの問題はありません。
4件の返信を表示中 - 1 - 4件目 (全4件中)
  • トピック「4.7 アップグレードに伴う既知の問題とその解決方法」には新たに返信することはできません。